Page 1 of 1

confused about which ReFS version to use

Posted: Dec 27, 2018 8:39 am
by allankjaer
There are 2 Veeam Knowledge Base articles about ReFS, that stats what version that is good to use with ReFS.

This one i the latest from 2018-12-26: https://www.veeam.com/kb2854

This says that the good version is like this:

Currently known good driver versions:
refs.sys version 10.0.14393.2097
refsv1.sys version 10.0.14393.2214
-------

But this article from 2018-11-06: https://www.veeam.com/kb2792

This says that the good version is like this:

Note: refs.sys driver file should be 10.0.14393.2457 or later
------

So what version should we use?

Re: confused about which ReFS version to use

Posted: Dec 27, 2018 11:17 am
by wishr
Hi Allan,

Both of these KBs are intended to solve the described issues and do not offer any general recommendations on the ReFS drivers' compatibility. The general recommendation is simple: it's recommended to use the latest possible driver version if not specified the opposite. Microsoft fixes a lot of issues in each new driver version so that's a common practice.

Regards,
Fedor

Re: confused about which ReFS version to use

Posted: Dec 28, 2018 9:18 pm
by Gostev
KB2792 is the actual article on ReFS.

KB2854 looks like a glitch with a very old KB article republished as new, I will ask to remove it completely.